"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.configManager = void 0;
class ConfigurationManager {
    constructor() {
        this.config = {
            limit: 5,
            window: 60,
            includeHeaders: true
        };
    }
    static getInstance() {
        if (!ConfigurationManager.instance) {
            ConfigurationManager.instance = new ConfigurationManager();
        }
        return ConfigurationManager.instance;
    }
    setConfig(options) {
        this.config = {
            ...this.config,
            ...options
        };
    }
    getConfig() {
        return { ...this.config };
    }
}
exports.configManager = ConfigurationManager.getInstance();
//# sourceMappingURL=global-configuration.js.map